# List the people who started runs in a session

> Source: https://elaichi.ai/docs/api-reference/workflows/automation/listautomationsessionparticipants/

`GET /automation/{id}/session/{sessionId}/participant`

Resource: **Workflow** · API: **Workflows**

## Path parameters

- **`id`** _(string, required)_
  Resource id
- **`sessionId`** _(string, required)_
  Session id

## Response body

- **`result`** _(array<object>)_
  - **`user_id`** _(string)_
  - **`name`** _(string,null)_
  - **`email`** _(string,null)_
  - **`first_at`** _(string)_
  - **`last_at`** _(string)_
- **`next_cursor`** _(string,null)_
- **`prev_cursor`** _(string,null)_

## Code examples

### curl

```bash
curl -X GET 'https://api.elaichi.ai/automation/<id>/session/<sessionId>/participant' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const response = await fetch('https://api.elaichi.ai/automation/<id>/session/<sessionId>/participant', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import os
import requests

url = "https://api.elaichi.ai/automation/<id>/session/<sessionId>/participant"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())
```
